//  SegParse.h 

/*
 * Licensed Materials - Property of IBM
 * 5648-C63
 * (C) Copyright IBM Corp. 2000
 */

extern "C" {

	void __declspec(dllexport) *bipGetParserFactory();
	CciContext *cpiCreateContext(CciParser* parser);
	int cpiParseBuffer(CciParser*  parser,CciContext* context,int offset);
	void cpiParseFirstChild(CciParser*  parser,CciContext* context,CciElement* currentElement);
	void cpiParseLastChild(CciParser*  parser, CciContext* context, CciElement* currentElement);
	void cpiParseLeftSibling(CciParser*  parser,CciContext* context,CciElement* currentElement);
	void cpiParseRightSibling(CciParser*  parser,CciContext* context,CciElement* currentElement);
	int cpiWriteBuffer(CciParser*  parser,CciContext* context);
	void cpiDeleteContext(CciParser*  parser, CciContext* context);
	void cpiNextParserClassName(CciParser*  parser,CciContext* context,wchar_t* buffer,int size);
	void cpiSetNextParserClassName(CciParser*  parser,CciContext* context,CciChar* name,CciBool isHeaderParser);
	int cpiNextParserCodedCharSetId(CciParser*  parser,CciContext* context);
	int cpiNextParserEncoding(CciParser*  parser, CciContext* context);

	const char * getSegParseLevel();
}
